Package org.gradle.language.swift

# Interface SwiftBinary

All Superinterfaces:
  `Named`, `SoftwareComponent`

All Known Subinterfaces:
  `SwiftExecutable`, `SwiftSharedLibrary`, `SwiftXCTestBinary`

@Incubating public interface SwiftBinary extends SoftwareComponent
A binary built from Swift source.

Since:
  4.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`FileCollection`
`getCompileModules()`
Returns the modules to use to compile this binary.
`FileCollection`
`getLinkLibraries()`
Returns the link libraries to use to link this binary.
`Provider<String>`
`getModule()`
Returns the name of the Swift module that this binary defines.
`FileCollection`
`getObjects()`
Returns the object files created for this binary.
`FileCollection`
`getRuntimeLibraries()`
Returns the runtime libraries required by this binary.
`FileCollection`
`getSwiftSource()`
Returns the Swift source files of this binary.
`boolean`
`isDebuggable()`
Returns true if this binary has debugging enabled.
`boolean`
`isTestable()`
Returns true if this binary has testing enabled.

### Methods inherited from interface org.gradle.api.Named

`getName`

## Method Details

### getModule

Provider<String> getModule()
Returns the name of the Swift module that this binary defines.

### isDebuggable

boolean isDebuggable()
Returns true if this binary has debugging enabled.

### isTestable

boolean isTestable()
Returns true if this binary has testing enabled.

Since:
  4.4

### getSwiftSource

FileCollection getSwiftSource()
Returns the Swift source files of this binary.

### getCompileModules

FileCollection getCompileModules()
Returns the modules to use to compile this binary. Includes the module file of this binary's dependencies.

Since:
  4.4

### getLinkLibraries

FileCollection getLinkLibraries()
Returns the link libraries to use to link this binary. Includes the link libraries of the component's dependencies.

### getRuntimeLibraries

FileCollection getRuntimeLibraries()
Returns the runtime libraries required by this binary. Includes the runtime libraries of the component's dependencies.

### getObjects

FileCollection getObjects()
Returns the object files created for this binary.

Since:
  4.4